/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_de extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        final String[] javatimelongEras = {
            "v. Chr.",
            "n. Chr.",
        };
        return new Object[][] {
            { "QuarterNames",
                new String[] {
                    "1. Quartal",
                    "2. Quartal",
                    "3. Quartal",
                    "4. Quartal",
                }
            },
            { "calendarname.buddhist",
                "Buddhistischer Kalender" },
            { "calendarname.gregorian",
                "Gregorianischer Kalender" },
            { "calendarname.gregory",
                "Gregorianischer Kalender" },
            { "calendarname.islamic",
                "Islamischer Kalender" },
            { "calendarname.islamic-civil",
                "B\u00fcrgerlicher islamischer Kalender" },
            { "calendarname.islamic-umalqura",
                "Islamischer Kalender (Umm al-Qura" },
            { "calendarname.japanese",
                "Japanischer Kalender" },
            { "calendarname.roc",
                "Kalender der Republik China" },
            { "field.dayperiod",
                "Tagesh\u00e4lfte" },
            { "field.era",
                "Epoche" },
            { "field.hour",
                "Stunde" },
            { "field.month",
                "Monat" },
            { "field.second",
                "Sekunde" },
            { "field.week",
                "Woche" },
            { "field.weekday",
                "Wochentag" },
            { "field.year",
                "Jahr" },
            { "field.zone",
                "Zeitzone" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "vorm.",
                    "nachm.",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y GGGG",
                    "d. MMMM y GGGG",
                    "dd.MM.y GGGG",
                    "dd.MM.yy G",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "So.",
                    "Mo.",
                    "Di.",
                    "Mi.",
                    "Do.",
                    "Fr.",
                    "Sa.",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "Sonntag",
                    "Montag",
                    "Dienstag",
                    "Mittwoch",
                    "Donnerstag",
                    "Freitag",
                    "Samstag",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "S",
                    "M",
                    "D",
                    "M",
                    "D",
                    "F",
                    "S",
                }
            },
            { "islamic.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "Q1",
                    "Q2",
                    "Q3",
                    "Q4",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "1. Quartal",
                    "2. Quartal",
                    "3. Quartal",
                    "4. Quartal",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1",
                    "2",
                    "3",
                    "4",
                }
            },
            { "islamic.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "islamic.long.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.narrow.AmPmMarkers",
                new String[] {
                    "vm.",
                    "nm.",
                }
            },
            { "islamic.narrow.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.short.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y G",
                    "d. MMMM y G",
                    "dd.MM.y G",
                    "dd.MM.yy GGGGG",
                }
            },
            { "java.time.buddhist.long.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.buddhist.short.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y G",
                    "d. MMMM y G",
                    "dd.MM.y G",
                    "dd.MM.yy GGGGG",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y G",
                    "d. MMMM y G",
                    "dd.MM.y G",
                    "dd.MM.yy GGGGG",
                }
            },
            { "java.time.long.Eras",
                javatimelongEras },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y G",
                    "d. MMMM y G",
                    "dd.MM.y G",
                    "dd.MM.yy GGGGG",
                }
            },
            { "java.time.short.Eras",
                javatimelongEras },
            { "roc.AmPmMarkers",
                new String[] {
                    "vorm.",
                    "nachm.",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "EEEE, d. MMMM y GGGG",
                    "d. MMMM y GGGG",
                    "dd.MM.y GGGG",
                    "dd.MM.yy G",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "So.",
                    "Mo.",
                    "Di.",
                    "Mi.",
                    "Do.",
                    "Fr.",
                    "Sa.",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "Sonntag",
                    "Montag",
                    "Dienstag",
                    "Mittwoch",
                    "Donnerstag",
                    "Freitag",
                    "Samstag",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "S",
                    "M",
                    "D",
                    "M",
                    "D",
                    "F",
                    "S",
                }
            },
            { "roc.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "Jan.",
                    "Feb.",
                    "M\u00e4rz",
                    "Apr.",
                    "Mai",
                    "Juni",
                    "Juli",
                    "Aug.",
                    "Sep.",
                    "Okt.",
                    "Nov.",
                    "Dez.",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "Januar",
                    "Februar",
                    "M\u00e4rz",
                    "April",
                    "Mai",
                    "Juni",
                    "Juli",
                    "August",
                    "September",
                    "Oktober",
                    "November",
                    "Dezember",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "J",
                    "F",
                    "M",
                    "A",
                    "M",
                    "J",
                    "J",
                    "A",
                    "S",
                    "O",
                    "N",
                    "D",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "Q1",
                    "Q2",
                    "Q3",
                    "Q4",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "1. Quartal",
                    "2. Quartal",
                    "3. Quartal",
                    "4. Quartal",
                }
            },
            { "roc.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "roc.long.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.narrow.AmPmMarkers",
                new String[] {
                    "vm.",
                    "nm.",
                }
            },
            { "roc.narrow.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
        };
    }
}
