/*
 * Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_es_MX extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "1er. trim.",
                    "2\u00ba. trim.",
                    "3er. trim.",
                    "4\u00ba trim.",
                }
            },
            { "QuarterNames",
                new String[] {
                    "1er. trimestre",
                    "2\u00ba. trimestre",
                    "3er. trimestre",
                    "4\u00ba trimestre",
                }
            },
            { "QuarterNarrows",
                new String[] {
                    "1T",
                    "2T",
                    "3T",
                    "4T",
                }
            },
            { "calendarname.gregorian",
                "Calendario gregoriano" },
            { "calendarname.gregory",
                "Calendario gregoriano" },
            { "calendarname.roc",
                "calendario minguo" },
            { "field.dayperiod",
                "a.m./p.m." },
            { "field.era",
                "era" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "a.m.",
                    "p.m.",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "GGGG y MMMM d, EEEE",
                    "GGGG y MMMM d",
                    "d MMM, y GGGG",
                    "G y-MM-dd",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "D",
                    "L",
                    "M",
                    "M",
                    "J",
                    "V",
                    "S",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "1er. trim.",
                    "2\u00ba. trim.",
                    "3er. trim.",
                    "4\u00ba trim.",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "1er. trimestre",
                    "2\u00ba. trimestre",
                    "3er. trimestre",
                    "4\u00ba trimestre",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1T",
                    "2T",
                    "3T",
                    "4T",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "G y MMMM d, EEEE",
                    "G y MMMM d",
                    "d MMM, y G",
                    "GGGGG y-MM-dd",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "G y MMMM d, EEEE",
                    "G y MMMM d",
                    "d MMM, y G",
                    "GGGGG y-MM-dd",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "EEEE, d 'de' MMMM 'de' y G",
                    "d 'de' MMMM 'de' y G",
                    "d MMM, y G",
                    "dd/MM/yy GGGGG",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "G y MMMM d, EEEE",
                    "G y MMMM d",
                    "d MMM, y G",
                    "GGGGG y-MM-dd",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "a.m.",
                    "p.m.",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "GGGG y MMMM d, EEEE",
                    "GGGG y MMMM d",
                    "d MMM, y GGGG",
                    "G y-MM-dd",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "D",
                    "L",
                    "M",
                    "M",
                    "J",
                    "V",
                    "S",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "ene",
                    "feb",
                    "mar",
                    "abr",
                    "may",
                    "jun",
                    "jul",
                    "ago",
                    "sep",
                    "oct",
                    "nov",
                    "dic",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "1er. trim.",
                    "2\u00ba. trim.",
                    "3er. trim.",
                    "4\u00ba trim.",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "1er. trimestre",
                    "2\u00ba. trimestre",
                    "3er. trimestre",
                    "4\u00ba trimestre",
                }
            },
            { "roc.QuarterNarrows",
                new String[] {
                    "1T",
                    "2T",
                    "3T",
                    "4T",
                }
            },
        };
    }
}
