/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_lt extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "I k.",
                    "II k.",
                    "III k.",
                    "IV k.",
                }
            },
            { "QuarterNames",
                new String[] {
                    "I ketvirtis",
                    "II ketvirtis",
                    "III ketvirtis",
                    "IV ketvirtis",
                }
            },
            { "calendarname.buddhist",
                "budist\u0173 kalendorius" },
            { "calendarname.gregorian",
                "Grigaliaus kalendorius" },
            { "calendarname.gregory",
                "Grigaliaus kalendorius" },
            { "calendarname.islamic",
                "islamo kalendorius" },
            { "calendarname.islamic-civil",
                "Islamo kalendorius (lentelinis, pilietin\u0117 era)" },
            { "calendarname.islamic-umalqura",
                "Islamo kalendorius (Umm al-Qura)" },
            { "calendarname.japanese",
                "japon\u0173 kalendorius" },
            { "calendarname.roc",
                "Kinijos Respublikos kalendorius" },
            { "field.dayperiod",
                "Iki piet\u0173 / po piet\u0173" },
            { "field.hour",
                "Valanda" },
            { "field.minute",
                "Minut\u0117" },
            { "field.month",
                "M\u0117nuo" },
            { "field.second",
                "Sekund\u0117" },
            { "field.week",
                "Savait\u0117" },
            { "field.weekday",
                "Savait\u0117s diena" },
            { "field.year",
                "Metai" },
            { "field.zone",
                "Laiko juosta" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "prie\u0161piet",
                    "popiet",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "y MMMM d GGGG, EEEE",
                    "y MMMM d GGGG",
                    "y MMM d GGGG",
                    "y-MM-dd GGGG",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "sk",
                    "pr",
                    "an",
                    "tr",
                    "kt",
                    "pn",
                    "\u0161t",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "sekmadienis",
                    "pirmadienis",
                    "antradienis",
                    "tre\u010diadienis",
                    "ketvirtadienis",
                    "penktadienis",
                    "\u0161e\u0161tadienis",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "S",
                    "P",
                    "A",
                    "T",
                    "K",
                    "P",
                    "\u0160",
                }
            },
            { "islamic.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "I k.",
                    "II k.",
                    "III k.",
                    "IV k.",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "I ketvirtis",
                    "II ketvirtis",
                    "III ketvirtis",
                    "IV ketvirtis",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1",
                    "2",
                    "3",
                    "4",
                }
            },
            { "islamic.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "islamic.long.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.narrow.AmPmMarkers",
                new String[] {
                    "pr.p.",
                    "pop.",
                }
            },
            { "islamic.narrow.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.short.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "y MMMM d G, EEEE",
                    "y MMMM d G",
                    "y MMM d G",
                    "y-MM-dd G",
                }
            },
            { "java.time.buddhist.long.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.buddhist.short.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "y MMMM d G, EEEE",
                    "y MMMM d G",
                    "y MMM d G",
                    "y-MM-dd G",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "y MMMM d G, EEEE",
                    "y MMMM d G",
                    "y MMM d G",
                    "y-MM-dd G",
                }
            },
            { "java.time.japanese.long.Eras",
                new String[] {
                    "po Kristaus",
                    "Meid\u017ei",
                    "Tai\u0161o",
                    "\u0160ova",
                    "Heisei",
                }
            },
            { "java.time.japanese.short.Eras",
                new String[] {
                    "po Kr.",
                    "Meid\u017ei",
                    "Tai\u0161o",
                    "\u0160ova",
                    "Heisei",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "prie\u0161 Krist\u0173",
                    "po Kristaus",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "y MMMM d G, EEEE",
                    "y MMMM d G",
                    "y MMM d G",
                    "y-MM-dd G",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "pr.Kr.",
                    "po.Kr.",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "prie\u0161piet",
                    "popiet",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "y MMMM d GGGG, EEEE",
                    "y MMMM d GGGG",
                    "y MMM d GGGG",
                    "y-MM-dd GGGG",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "sk",
                    "pr",
                    "an",
                    "tr",
                    "kt",
                    "pn",
                    "\u0161t",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "sekmadienis",
                    "pirmadienis",
                    "antradienis",
                    "tre\u010diadienis",
                    "ketvirtadienis",
                    "penktadienis",
                    "\u0161e\u0161tadienis",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "S",
                    "P",
                    "A",
                    "T",
                    "K",
                    "P",
                    "\u0160",
                }
            },
            { "roc.Eras",
                new String[] {
                    "Prie\u0161 R.O.C.",
                    "R.O.C.",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "saus.",
                    "vas.",
                    "kov.",
                    "bal.",
                    "geg.",
                    "bir\u017e.",
                    "liep.",
                    "rugp.",
                    "rugs.",
                    "spal.",
                    "lapkr.",
                    "gruod.",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "sausio",
                    "vasario",
                    "kovo",
                    "baland\u017eio",
                    "gegu\u017e\u0117s",
                    "bir\u017eelio",
                    "liepos",
                    "rugpj\u016b\u010dio",
                    "rugs\u0117jo",
                    "spalio",
                    "lapkri\u010dio",
                    "gruod\u017eio",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "S",
                    "V",
                    "K",
                    "B",
                    "G",
                    "B",
                    "L",
                    "R",
                    "R",
                    "S",
                    "L",
                    "G",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "I k.",
                    "II k.",
                    "III k.",
                    "IV k.",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "I ketvirtis",
                    "II ketvirtis",
                    "III ketvirtis",
                    "IV ketvirtis",
                }
            },
            { "roc.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "roc.long.Eras",
                new String[] {
                    "Prie\u0161 R.O.C.",
                    "R.O.C.",
                }
            },
            { "roc.narrow.AmPmMarkers",
                new String[] {
                    "pr.p.",
                    "pop.",
                }
            },
            { "roc.narrow.Eras",
                new String[] {
                    "Prie\u0161 R.O.C.",
                    "R.O.C.",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "Prie\u0161 R.O.C.",
                    "R.O.C.",
                }
            },
        };
    }
}
