/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_lv extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "1.\u00a0cet.",
                    "2.\u00a0cet.",
                    "3.\u00a0cet.",
                    "4.\u00a0cet.",
                }
            },
            { "QuarterNames",
                new String[] {
                    "1. ceturksnis",
                    "2. ceturksnis",
                    "3. ceturksnis",
                    "4. ceturksnis",
                }
            },
            { "QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "calendarname.buddhist",
                "budistu kalend\u0101rs" },
            { "calendarname.gregorian",
                "Gregora kalend\u0101rs" },
            { "calendarname.gregory",
                "Gregora kalend\u0101rs" },
            { "calendarname.islamic",
                "isl\u0101ma kalend\u0101rs" },
            { "calendarname.islamic-civil",
                "isl\u0101ma pilso\u0146u kalend\u0101rs" },
            { "calendarname.japanese",
                "jap\u0101\u0146u kalend\u0101rs" },
            { "calendarname.roc",
                "\u0136\u012bnas Republikas kalend\u0101rs" },
            { "field.dayperiod",
                "Priek\u0161pusdien\u0101/p\u0113cpusdien\u0101" },
            { "field.era",
                "\u0112ra" },
            { "field.hour",
                "Stundas" },
            { "field.minute",
                "Min\u016btes" },
            { "field.month",
                "M\u0113nesis" },
            { "field.second",
                "Sekundes" },
            { "field.week",
                "ned\u0113\u013ca" },
            { "field.weekday",
                "ned\u0113\u013cas diena" },
            { "field.year",
                "Gads" },
            { "field.zone",
                "Laika josla" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "priek\u0161pusdien\u0101",
                    "p\u0113cpusdien\u0101",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM GGGG",
                    "y. 'gada' d. MMMM GGGG",
                    "y. 'gada' d. MMM GGGG",
                    "dd.MM.y G",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "Sv",
                    "Pr",
                    "Ot",
                    "Tr",
                    "Ce",
                    "Pk",
                    "Se",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "sv\u0113tdiena",
                    "pirmdiena",
                    "otrdiena",
                    "tre\u0161diena",
                    "ceturtdiena",
                    "piektdiena",
                    "sestdiena",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "S",
                    "P",
                    "O",
                    "T",
                    "C",
                    "P",
                    "S",
                }
            },
            { "islamic.MonthNames",
                new String[] {
                    "muharams",
                    "safars",
                    "1. rab\u012b",
                    "2. rab\u012b",
                    "1. d\u017eum\u0101d\u0101",
                    "2. d\u017eum\u0101d\u0101",
                    "rad\u017eabs",
                    "\u0161abans",
                    "ramad\u0101ns",
                    "\u0161auvals",
                    "du al-kid\u0101",
                    "du al-hid\u017e\u0101",
                    "",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "1.\u00a0cet.",
                    "2.\u00a0cet.",
                    "3.\u00a0cet.",
                    "4.\u00a0cet.",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "1. ceturksnis",
                    "2. ceturksnis",
                    "3. ceturksnis",
                    "4. ceturksnis",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "islamic.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "islamic.narrow.AmPmMarkers",
                new String[] {
                    "priek\u0161p.",
                    "p\u0113cp.",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMM G",
                    "dd.MM.y GGGGG",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMM G",
                    "dd.MM.y GGGGG",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMM G",
                    "dd.MM.y GGGGG",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "pirms m\u016bsu \u0113ras",
                    "m\u016bsu \u0113r\u0101",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMMM G",
                    "y. 'gada' d. MMM G",
                    "dd.MM.y GGGGG",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "pm\u0113",
                    "m\u0113",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "priek\u0161pusdien\u0101",
                    "p\u0113cpusdien\u0101",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "EEEE, y. 'gada' d. MMMM GGGG",
                    "y. 'gada' d. MMMM GGGG",
                    "y. 'gada' d. MMM GGGG",
                    "dd.MM.y G",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "Sv",
                    "Pr",
                    "Ot",
                    "Tr",
                    "Ce",
                    "Pk",
                    "Se",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "sv\u0113tdiena",
                    "pirmdiena",
                    "otrdiena",
                    "tre\u0161diena",
                    "ceturtdiena",
                    "piektdiena",
                    "sestdiena",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "S",
                    "P",
                    "O",
                    "T",
                    "C",
                    "P",
                    "S",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "janv.",
                    "febr.",
                    "marts",
                    "apr.",
                    "maijs",
                    "j\u016bn.",
                    "j\u016bl.",
                    "aug.",
                    "sept.",
                    "okt.",
                    "nov.",
                    "dec.",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "janv\u0101ris",
                    "febru\u0101ris",
                    "marts",
                    "apr\u012blis",
                    "maijs",
                    "j\u016bnijs",
                    "j\u016blijs",
                    "augusts",
                    "septembris",
                    "oktobris",
                    "novembris",
                    "decembris",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "J",
                    "F",
                    "M",
                    "A",
                    "M",
                    "J",
                    "J",
                    "A",
                    "S",
                    "O",
                    "N",
                    "D",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "1.\u00a0cet.",
                    "2.\u00a0cet.",
                    "3.\u00a0cet.",
                    "4.\u00a0cet.",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "1. ceturksnis",
                    "2. ceturksnis",
                    "3. ceturksnis",
                    "4. ceturksnis",
                }
            },
            { "roc.QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "roc.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "roc.narrow.AmPmMarkers",
                new String[] {
                    "priek\u0161p.",
                    "p\u0113cp.",
                }
            },
        };
    }
}
