/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_sq extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "tremujori I",
                    "tremujori II",
                    "tremujori III",
                    "tremujori IV",
                }
            },
            { "QuarterNames",
                new String[] {
                    "tremujori i par\u00eb",
                    "tremujori i dyt\u00eb",
                    "tremujori i tret\u00eb",
                    "tremujori i kat\u00ebrt",
                }
            },
            { "calendarname.buddhist",
                "kalendar budist" },
            { "calendarname.gregorian",
                "kalendar gregorian" },
            { "calendarname.gregory",
                "kalendar gregorian" },
            { "calendarname.islamic",
                "kalendar islamik" },
            { "calendarname.islamic-civil",
                "Kalendari Islamik (tabelor, periudha civile)" },
            { "calendarname.islamic-umalqura",
                "Kalendari Islamik (Um al-Qura)" },
            { "calendarname.japanese",
                "kalendar japonez" },
            { "calendarname.roc",
                "kalendar minguo (kinez)" },
            { "field.dayperiod",
                "periudh\u00eb e dit\u00ebs" },
            { "field.era",
                "er\u00eb" },
            { "field.hour",
                "or\u00eb" },
            { "field.minute",
                "minut\u00eb" },
            { "field.month",
                "muaj" },
            { "field.second",
                "sekond\u00eb" },
            { "field.week",
                "jav\u00eb" },
            { "field.weekday",
                "dit\u00eb e jav\u00ebs" },
            { "field.year",
                "vit" },
            { "field.zone",
                "brezi orar" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "paradite",
                    "pasdite",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "EEEE, d MMM y GGGG",
                    "d MMM y GGGG",
                    "d MMM y GGGG",
                    "d.M.y G",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "Die",
                    "H\u00ebn",
                    "Mar",
                    "M\u00ebr",
                    "Enj",
                    "Pre",
                    "Sht",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "e diel",
                    "e h\u00ebn\u00eb",
                    "e mart\u00eb",
                    "e m\u00ebrkur\u00eb",
                    "e enjte",
                    "e premte",
                    "e shtun\u00eb",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "D",
                    "H",
                    "M",
                    "M",
                    "E",
                    "P",
                    "S",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "tremujori I",
                    "tremujori II",
                    "tremujori III",
                    "tremujori IV",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "tremujori i par\u00eb",
                    "tremujori i dyt\u00eb",
                    "tremujori i tret\u00eb",
                    "tremujori i kat\u00ebrt",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1",
                    "2",
                    "3",
                    "4",
                }
            },
            { "islamic.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "islamic.narrow.AmPmMarkers",
                new String[] {
                    "AM",
                    "PM",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "EEEE, d MMM y G",
                    "d MMM y G",
                    "d MMM y G",
                    "d.M.y GGGGG",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "EEEE, d MMM y G",
                    "d MMM y G",
                    "d MMM y G",
                    "d.M.y GGGGG",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "EEEE, d MMM y G",
                    "d MMM y G",
                    "d MMM y G",
                    "d.M.y GGGGG",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "para er\u00ebs s\u00eb re",
                    "er\u00ebs s\u00eb re",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "EEEE, d MMM y G",
                    "d MMM y G",
                    "d MMM y G",
                    "d.M.y GGGGG",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "p.e.r.",
                    "n.e.r.",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "paradite",
                    "pasdite",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "EEEE, d MMM y GGGG",
                    "d MMM y GGGG",
                    "d MMM y GGGG",
                    "d.M.y G",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "Die",
                    "H\u00ebn",
                    "Mar",
                    "M\u00ebr",
                    "Enj",
                    "Pre",
                    "Sht",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "e diel",
                    "e h\u00ebn\u00eb",
                    "e mart\u00eb",
                    "e m\u00ebrkur\u00eb",
                    "e enjte",
                    "e premte",
                    "e shtun\u00eb",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "D",
                    "H",
                    "M",
                    "M",
                    "E",
                    "P",
                    "S",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "Jan",
                    "Shk",
                    "Mar",
                    "Pri",
                    "Maj",
                    "Qer",
                    "Kor",
                    "Gsh",
                    "Sht",
                    "Tet",
                    "N\u00ebn",
                    "Dhj",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "janar",
                    "shkurt",
                    "mars",
                    "prill",
                    "maj",
                    "qershor",
                    "korrik",
                    "gusht",
                    "shtator",
                    "tetor",
                    "n\u00ebntor",
                    "dhjetor",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "J",
                    "S",
                    "M",
                    "P",
                    "M",
                    "Q",
                    "K",
                    "G",
                    "S",
                    "T",
                    "N",
                    "D",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "tremujori I",
                    "tremujori II",
                    "tremujori III",
                    "tremujori IV",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "tremujori i par\u00eb",
                    "tremujori i dyt\u00eb",
                    "tremujori i tret\u00eb",
                    "tremujori i kat\u00ebrt",
                }
            },
            { "roc.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "roc.narrow.AmPmMarkers",
                new String[] {
                    "AM",
                    "PM",
                }
            },
        };
    }
}
