/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_sr_Latn extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "K1",
                    "K2",
                    "K3",
                    "K4",
                }
            },
            { "QuarterNames",
                new String[] {
                    "Prvo tromese\u010dje",
                    "Drugo tromese\u010dje",
                    "Tre\u0107e tromese\u010dje",
                    "\u010cetvrto tromese\u010dje",
                }
            },
            { "calendarname.buddhist",
                "budisti\u010dki kalendar" },
            { "calendarname.gregorian",
                "gregorijanski kalendar" },
            { "calendarname.gregory",
                "gregorijanski kalendar" },
            { "calendarname.islamic",
                "islamski kalendar" },
            { "calendarname.islamic-civil",
                "Islamski civilni kalendar" },
            { "calendarname.japanese",
                "japanski kalendar" },
            { "calendarname.roc",
                "kalendar Republike Kine" },
            { "field.dayperiod",
                "pre podne/po podne" },
            { "field.era",
                "era" },
            { "field.hour",
                "sat" },
            { "field.minute",
                "minut" },
            { "field.month",
                "mesec" },
            { "field.second",
                "sekund" },
            { "field.week",
                "nedelja" },
            { "field.weekday",
                "dan u nedelji" },
            { "field.year",
                "godina" },
            { "field.zone",
                "vremenska zona" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "pre podne",
                    "po podne",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "ned",
                    "pon",
                    "uto",
                    "sre",
                    "\u010det",
                    "pet",
                    "sub",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "nedelja",
                    "ponedeljak",
                    "utorak",
                    "sreda",
                    "\u010detvrtak",
                    "petak",
                    "subota",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "n",
                    "p",
                    "u",
                    "s",
                    "\u010d",
                    "p",
                    "s",
                }
            },
            { "islamic.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.MonthNames",
                new String[] {
                    "Muraham",
                    "Safar",
                    "Rabi\u02bb I",
                    "Rabi\u02bb II",
                    "Jumada I",
                    "Jumada II",
                    "Ra\u0111ab",
                    "\u0160a\u02bbban",
                    "Ramadan",
                    "\u0160aval",
                    "Du\u02bbl-Ki\u02bbda",
                    "Du\u02bbl-hi\u0111a",
                    "",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "K1",
                    "K2",
                    "K3",
                    "K4",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "Prvo tromese\u010dje",
                    "Drugo tromese\u010dje",
                    "Tre\u0107e tromese\u010dje",
                    "\u010cetvrto tromese\u010dje",
                }
            },
            { "islamic.long.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.narrow.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "islamic.short.Eras",
                new String[] {
                    "",
                    "AH",
                }
            },
            { "java.time.buddhist.long.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.buddhist.short.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.japanese.long.Eras",
                new String[] {
                    "Nove ere",
                    "Mei\u0111i",
                    "Tai\u0161o",
                    "\u0160ova",
                    "Haisei",
                }
            },
            { "java.time.japanese.short.Eras",
                new String[] {
                    "n. e.",
                    "Mei\u0111i",
                    "Tai\u0161o",
                    "\u0160ova",
                    "Haisei",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "Pre nove ere",
                    "Nove ere",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "p. n. e.",
                    "n. e",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "pre podne",
                    "po podne",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "ned",
                    "pon",
                    "uto",
                    "sre",
                    "\u010det",
                    "pet",
                    "sub",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "nedelja",
                    "ponedeljak",
                    "utorak",
                    "sreda",
                    "\u010detvrtak",
                    "petak",
                    "subota",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "n",
                    "p",
                    "u",
                    "s",
                    "\u010d",
                    "p",
                    "s",
                }
            },
            { "roc.Eras",
                new String[] {
                    "Pre RK",
                    "RK",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "jan",
                    "feb",
                    "mar",
                    "apr",
                    "maj",
                    "jun",
                    "jul",
                    "avg",
                    "sep",
                    "okt",
                    "nov",
                    "dec",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "januar",
                    "februar",
                    "mart",
                    "april",
                    "maj",
                    "jun",
                    "jul",
                    "avgust",
                    "septembar",
                    "oktobar",
                    "novembar",
                    "decembar",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "j",
                    "f",
                    "m",
                    "a",
                    "m",
                    "j",
                    "j",
                    "a",
                    "s",
                    "o",
                    "n",
                    "d",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "K1",
                    "K2",
                    "K3",
                    "K4",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "Prvo tromese\u010dje",
                    "Drugo tromese\u010dje",
                    "Tre\u0107e tromese\u010dje",
                    "\u010cetvrto tromese\u010dje",
                }
            },
            { "roc.long.Eras",
                new String[] {
                    "Pre RK",
                    "RK",
                }
            },
            { "roc.narrow.Eras",
                new String[] {
                    "Pre RK",
                    "RK",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "Pre RK",
                    "RK",
                }
            },
        };
    }
}
