/*
 * Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * COPYRIGHT AND PERMISSION NOTICE
 *
 * Copyright (C) 1991-2015 Unicode, Inc. All rights reserved.
 * Distributed under the Terms of Use in
 * http://www.unicode.org/copyright.html.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of the Unicode data files and any associated documentation
 * (the "Data Files") or Unicode software and any associated documentation
 * (the "Software") to deal in the Data Files or Software
 * without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, and/or sell copies of
 * the Data Files or Software, and to permit persons to whom the Data Files
 * or Software are furnished to do so, provided that
 * (a) this copyright and permission notice appear with all copies
 * of the Data Files or Software,
 * (b) this copyright and permission notice appear in associated
 * documentation, and
 * (c) there is clear notice in each modified Data File or in the Software
 * as well as in the documentation associated with the Data File(s) or
 * Software that the data or software has been modified.
 *
 * THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 * ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT OF THIRD PARTY RIGHTS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS
 * NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL
 * DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 * Except as contained in this notice, the name of a copyright holder
 * shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in these Data Files or Software without prior
 * written authorization of the copyright holder.
 */

//  Note: this file has been generated by a tool.

package sun.text.resources.ext;

import sun.util.resources.OpenListResourceBundle;

public class JavaTimeSupplementary_tr extends OpenListResourceBundle {
    @Override
    protected final Object[][] getContents() {
        return new Object[][] {
            { "QuarterAbbreviations",
                new String[] {
                    "\u00c71",
                    "\u00c72",
                    "\u00c73",
                    "\u00c74",
                }
            },
            { "QuarterNames",
                new String[] {
                    "1. \u00e7eyrek",
                    "2. \u00e7eyrek",
                    "3. \u00e7eyrek",
                    "4. \u00e7eyrek",
                }
            },
            { "QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "calendarname.buddhist",
                "Budist Takvimi" },
            { "calendarname.gregorian",
                "Miladi Takvim" },
            { "calendarname.gregory",
                "Miladi Takvim" },
            { "calendarname.islamic",
                "Hicri Takvim" },
            { "calendarname.islamic-civil",
                "Arap Takvimi" },
            { "calendarname.islamic-umalqura",
                "Hicri Takvim (\u00dcmm\u00fc-l Kurra Takvimi)" },
            { "calendarname.japanese",
                "Japon Takvimi" },
            { "calendarname.roc",
                "\u00c7in Cumhuriyeti Takvimi" },
            { "field.dayperiod",
                "\u00d6\u00d6/\u00d6S" },
            { "field.era",
                "Miladi D\u00f6nem" },
            { "field.hour",
                "Saat" },
            { "field.minute",
                "Dakika" },
            { "field.month",
                "Ay" },
            { "field.second",
                "Saniye" },
            { "field.week",
                "Hafta" },
            { "field.weekday",
                "Haftan\u0131n G\u00fcn\u00fc" },
            { "field.year",
                "Y\u0131l" },
            { "field.zone",
                "Saat Dilimi" },
            { "islamic.AmPmMarkers",
                new String[] {
                    "\u00d6\u00d6",
                    "\u00d6S",
                }
            },
            { "islamic.DatePatterns",
                new String[] {
                    "GGGG d MMMM y EEEE",
                    "GGGG d MMMM y",
                    "GGGG d MMM y",
                    "G d.MM.y",
                }
            },
            { "islamic.DayAbbreviations",
                new String[] {
                    "Paz",
                    "Pzt",
                    "Sal",
                    "\u00c7ar",
                    "Per",
                    "Cum",
                    "Cmt",
                }
            },
            { "islamic.DayNames",
                new String[] {
                    "Pazar",
                    "Pazartesi",
                    "Sal\u0131",
                    "\u00c7ar\u015famba",
                    "Per\u015fembe",
                    "Cuma",
                    "Cumartesi",
                }
            },
            { "islamic.DayNarrows",
                new String[] {
                    "P",
                    "P",
                    "S",
                    "\u00c7",
                    "P",
                    "C",
                    "C",
                }
            },
            { "islamic.Eras",
                new String[] {
                    "",
                    "Hicri",
                }
            },
            { "islamic.MonthAbbreviations",
                new String[] {
                    "Muharrem",
                    "Safer",
                    "Rebi\u00fclevvel",
                    "Rebi\u00fclahir",
                    "Cemaziyelevvel",
                    "Cemaziyelahir",
                    "Recep",
                    "\u015eaban",
                    "Ramazan",
                    "\u015eevval",
                    "Zilkade",
                    "Zilhicce",
                    "",
                }
            },
            { "islamic.MonthNames",
                new String[] {
                    "Muharrem",
                    "Safer",
                    "Rebi\u00fclevvel",
                    "Rebi\u00fclahir",
                    "Cemaziyelevvel",
                    "Cemaziyelahir",
                    "Recep",
                    "\u015eaban",
                    "Ramazan",
                    "\u015eevval",
                    "Zilkade",
                    "Zilhicce",
                    "",
                }
            },
            { "islamic.QuarterAbbreviations",
                new String[] {
                    "\u00c71",
                    "\u00c72",
                    "\u00c73",
                    "\u00c74",
                }
            },
            { "islamic.QuarterNames",
                new String[] {
                    "1. \u00e7eyrek",
                    "2. \u00e7eyrek",
                    "3. \u00e7eyrek",
                    "4. \u00e7eyrek",
                }
            },
            { "islamic.QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "islamic.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "islamic.long.Eras",
                new String[] {
                    "",
                    "Hicri",
                }
            },
            { "islamic.narrow.AmPmMarkers",
                new String[] {
                    "\u00f6\u00f6",
                    "\u00f6s",
                }
            },
            { "islamic.narrow.Eras",
                new String[] {
                    "",
                    "Hicri",
                }
            },
            { "islamic.short.Eras",
                new String[] {
                    "",
                    "Hicri",
                }
            },
            { "java.time.buddhist.DatePatterns",
                new String[] {
                    "G d MMMM y EEEE",
                    "G d MMMM y",
                    "G d MMM y",
                    "GGGGG d.MM.y",
                }
            },
            { "java.time.buddhist.long.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.buddhist.short.Eras",
                new String[] {
                    "BC",
                    "BE",
                }
            },
            { "java.time.islamic.DatePatterns",
                new String[] {
                    "G d MMMM y EEEE",
                    "G d MMMM y",
                    "G d MMM y",
                    "GGGGG d.MM.y",
                }
            },
            { "java.time.japanese.DatePatterns",
                new String[] {
                    "d MMMM y G EEEE",
                    "d MMMM y G",
                    "d MMM y G",
                    "d.MM.y G",
                }
            },
            { "java.time.long.Eras",
                new String[] {
                    "Milattan \u00d6nce",
                    "Milattan Sonra",
                }
            },
            { "java.time.roc.DatePatterns",
                new String[] {
                    "G d MMMM y EEEE",
                    "G d MMMM y",
                    "G d MMM y",
                    "GGGGG d.MM.y",
                }
            },
            { "java.time.short.Eras",
                new String[] {
                    "M\u00d6",
                    "MS",
                }
            },
            { "roc.AmPmMarkers",
                new String[] {
                    "\u00d6\u00d6",
                    "\u00d6S",
                }
            },
            { "roc.DatePatterns",
                new String[] {
                    "GGGG d MMMM y EEEE",
                    "GGGG d MMMM y",
                    "GGGG d MMM y",
                    "G d.MM.y",
                }
            },
            { "roc.DayAbbreviations",
                new String[] {
                    "Paz",
                    "Pzt",
                    "Sal",
                    "\u00c7ar",
                    "Per",
                    "Cum",
                    "Cmt",
                }
            },
            { "roc.DayNames",
                new String[] {
                    "Pazar",
                    "Pazartesi",
                    "Sal\u0131",
                    "\u00c7ar\u015famba",
                    "Per\u015fembe",
                    "Cuma",
                    "Cumartesi",
                }
            },
            { "roc.DayNarrows",
                new String[] {
                    "P",
                    "P",
                    "S",
                    "\u00c7",
                    "P",
                    "C",
                    "C",
                }
            },
            { "roc.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.MonthAbbreviations",
                new String[] {
                    "Oca",
                    "\u015eub",
                    "Mar",
                    "Nis",
                    "May",
                    "Haz",
                    "Tem",
                    "A\u011fu",
                    "Eyl",
                    "Eki",
                    "Kas",
                    "Ara",
                    "",
                }
            },
            { "roc.MonthNames",
                new String[] {
                    "Ocak",
                    "\u015eubat",
                    "Mart",
                    "Nisan",
                    "May\u0131s",
                    "Haziran",
                    "Temmuz",
                    "A\u011fustos",
                    "Eyl\u00fcl",
                    "Ekim",
                    "Kas\u0131m",
                    "Aral\u0131k",
                    "",
                }
            },
            { "roc.MonthNarrows",
                new String[] {
                    "O",
                    "\u015e",
                    "M",
                    "N",
                    "M",
                    "H",
                    "T",
                    "A",
                    "E",
                    "E",
                    "K",
                    "A",
                    "",
                }
            },
            { "roc.QuarterAbbreviations",
                new String[] {
                    "\u00c71",
                    "\u00c72",
                    "\u00c73",
                    "\u00c74",
                }
            },
            { "roc.QuarterNames",
                new String[] {
                    "1. \u00e7eyrek",
                    "2. \u00e7eyrek",
                    "3. \u00e7eyrek",
                    "4. \u00e7eyrek",
                }
            },
            { "roc.QuarterNarrows",
                new String[] {
                    "1.",
                    "2.",
                    "3.",
                    "4.",
                }
            },
            { "roc.TimePatterns",
                new String[] {
                    "HH:mm:ss zzzz",
                    "HH:mm:ss z",
                    "HH:mm:ss",
                    "HH:mm",
                }
            },
            { "roc.long.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.narrow.AmPmMarkers",
                new String[] {
                    "\u00f6\u00f6",
                    "\u00f6s",
                }
            },
            { "roc.narrow.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
            { "roc.short.Eras",
                new String[] {
                    "Before R.O.C.",
                    "Minguo",
                }
            },
        };
    }
}
